Blender Documentation Volume II - Reference Guide: Last modified March 29 2004 S68
<<< Previous | Python API Reference | Next >>>

# Module Ipo

The Blender.Ipo submodule

This module provides access to the Ipo Data in Blender. An Ipo is composed of several Ipocurves.

A datatype is defined : IpoCurve type. The member functions of this data type are given below.

Example:

     import Blender
     ob = Blender.Ipo.Get('ipo')    # retreives an ipo object
     ob.setName('ipo1')
     print ob.name
     print ipo.getRctf()
     ipo.setRctf(1,2,3,4)

Classes |
`BezTriple` | This object gives access to generic data from all beztriple objects in Blender.
`Ipo` | This object gives access to generic data from all objects in Blender.
`IpoCurve` | This object gives access to generic data from all ipocurves objects in Blender.

Function Summary |
Blender Ipo or a list of Blender Ipos | `Get(name)` Get the Ipo from Blender.
Blender Ipo | `New(name, idcode)` Creates a new Ipo.

Function Details |

Get(name=None)

Get the Ipo from Blender.

  Parameters:

    `name` - The name of the requested Ipo, or nothing.

    (type=string)

  Returns:

    It depends on the 'name' parameter:

    - (name): The Ipo with the given name;

    - (): A list with all Ipos in the current scene.

    (type=Blender Ipo or a list of Blender Ipos)

New(name, idcode)

Creates a new Ipo.

  Parameters:

    `name` - The Ipo's name

    (type=string)

    `idcode` - The Ipo's blocktype. Depends to the object the ipo will be linked.

    (type=int)

  Returns:

    The created Ipo.

    (type=Blender Ipo)

<<< Previous | Home | Next >>>
The Curve Data object | Up | Class BezTriple